# to get the number of unique genes in the 6800 chip we have
setwd("C:/cwru/classes/epbi473_05/lec5(biocGEOcaBIG)")
library(hu6800)
search()
ls()
ls("package:hu6800")
ID68=ls(env = hu6800LOCUSID);ID68[1:10]
llid=mget(ID68,env = hu6800LOCUSID)
llid[1:10]

lsym <- mget(ID68, env = hu6800SYMBOL)
#lsym <- mget(ID68, env = hu6800CHR)
sym <- as.character(lsym)
length(sym)
u=unique(sym)
length(u)


library(hgu133plus2)
search()
ls("package:hgu133plus2")
IDplus=ls(env = hgu133plus2LOCUSID)
lsym <- mget(IDplus, env = hgu133plus2SYMBOL)
sym <- as.character(lsym)
length(sym)
u=unique(sym)
length(u)
names(lsym)[1:30]


library(hgu133a2)
search()
ls("package:hgu133a2")
IDplus=ls(env = hgu133a2LOCUSID)
lsym <- mget(IDplus, env = hgu133a2SYMBOL)
sym <- as.character(lsym)
length(sym)
u=unique(sym)
length(u)
names(lsym)[1:30]



library(hgu133a)
search()
ls("package:hgu133a2")
IDplus=ls(env = hgu133aLOCUSID)
lsym <- mget(IDplus, env = hgu133aSYMBOL)
sym <- as.character(lsym)
length(sym)
u=unique(sym)
length(u)
names(lsym)[1:30]




library(hgu95av2)
library(Biobase)
search()
ls("package:hgu95av2")
ls("package:Biobase")


# Suppose you want a file describing all the genes on the whole chip.
# Since the set of all Affy ID's is the set of names of objects in an environment, we can use 
# ls() to list the elements, of say the locus ID environment, to generate the list of all Affy ID's, i.e. 

ID95=ls(env = hgu95av2LOCUSID);ID95[5000:5020]
lsym <- mget(ID95, env = hgu95av2SYMBOL)
sym <- as.character(lsym);sym[1:10]
lgnames <- mget(ID95, env = hgu95av2GENENAME)
gnames <- as.character(lgnames)
lmap <- mget(ID95, env = hgu95av2MAP)
chr <- as.character(lmap);chr[1:10]

length(sym)
u=unique(sym);u[1:10]
length(u)

write.table(data.frame(ID95,sym,chr,gnames),"tab95.txt",sep="\t",row.names=F)


library(annotate)  # need this for pubmed calls
ls("package:annotate")


# The example shows how to get info about genes given only the Affy ID's. 
# Using SAM on RMA outputs, the top 50 induced (higher in TEL-AML1) and 50 repressed (higher in BCR-ABL)
# genes between 16 BCR-ABL and 79 TEL-AML1 childhood ALL patients are given in bt5050.txt as Affy IDs

btID<-read.table("bt5050.txt", header=T);btID  # read in as a data frame
AffyID=as.character(btID[,]);AffyID   # now it is a vector of character strings
llids <- mget(AffyID, env = hgu95av2LOCUSID)  # first gets a list of locus link IDs
lids <- as.numeric(llids);lids               
lgnames <- mget(AffyID, env = hgu95av2GENENAME)
gnames <- as.character(lgnames);lgnames
lsym <- mget(AffyID, env = hgu95av2SYMBOL)
sym <- as.character(lsym);sym
lmap <- mget(AffyID, env = hgu95av2MAP)
chr <- as.character(lmap);chr
hdr=c("Locus ID","Gene Symbol","Affy ID","Gene Name","Chromosome Band")
htmlpage(lids,table.head=hdr,other=list(sym,AffyID,gnames,chr), file = "bt5050.html")
bt=data.frame(btID, sym=sym, chr=chr,names=gnames);bt
write.table(bt,'top100.txt',sep='\t',row.names=F)
#
#
# next we automatically generate abstracts of the top xx induced and repressed genes


top=5  # get top xx induced and repressed genes
affys=c(AffyID[1:top],AffyID[51:(50+top)]);affys
ids <- mget(affys, envir = hgu95av2PMID);ids
ids <- unlist(ids, use.names = FALSE)
ids <- ids[!is.na(as.numeric(ids))]
ids
x <- pubmed(ids,disp='browser')  




